.row.second-bar
  = render template: 'shared/breadcrumbs',
  locals: { final_title: t(:meetings) + filter_message }

  = render 'shared/additional_menu' do
    - if current_user.present?
      = link_to new_committee_meeting_path(@committee),
      class: 'nav-link btn btn-success', title: t(:new_meeting),
        'data-toggle': 'tooltip', 'data-placement': 'bottom' do
        %i.fa.fa-plus-square-o
        %span= t(:add)
    .btn-group#filter-menu
      %button.btn.btn-secondary.dropdown-toggle{ type: 'button',
      'data-toggle': 'dropdown', 'aria-haspopup': 'true',
      'aria-expanded': 'false' }
        %i.fa.fa-filter
        = t(:filter)
      .dropdown-menu
        = link_to committee_meetings_path(@committee.id),
        class: 'dropdown-item future_normal' do
          = t('mtgs.future_normal')
        = link_to committee_meetings_path(@committee.id,
        scopes: %i(future free), filter: 'future_free'),
        class: 'dropdown-item future_free' do
          = t('mtgs.future_free')
        - if current_user.present?
          = link_to committee_meetings_path(@committee.id,
          scopes: %i(future unapproved), filter: 'future_unapproved'),
          class: 'dropdown-item future_unapproved' do
            = t('mtgs.future_unapproved')
        = link_to committee_meetings_path(@committee.id, scopes: %i(all),
        filter: 'all'), class: 'dropdown-item all' do
          = t('mtgs.all')
        = link_to committee_meetings_path(@committee.id, scopes: %i(past),
        filter: 'past'), class: 'dropdown-item past' do
          = t('mtgs.past')

= render 'shared/alerts'

.row
  .col.table-responsive
    %table.table.meeting-table
      %thead
        %tr
          %th= t(:name)
          %th= t(:duration)
          %th.text-center= t(:registrations)
          %th.hidden-md-down= t(:time_start)
          %th.hidden-md-down= t(:time_end)
          - if current_user.present?
            %th.text-center= t(:approved)
          %th
          - if current_user.present?
            %th

      %tbody
        - @meetings.each do |meeting|
          %tr.show-on-hover-parent
            %td
              - if current_user.present?
                = link_to meeting.name, [meeting.committee, meeting]
              - else
                = meeting.name
            %td= time_duration(meeting.time_start, meeting.time_end)
            %td.text-center
              %div{ class: current_user.present? ? 'hide-on-hover' : nil }
                = meeting.registrations.size
                \/
                = meeting.max_candidates_number
              - if current_user.present?
                .btn-group.show-on-hover.inline
                  = decrement_max_candidates_number_link(meeting: meeting) do
                    %small
                      %i.fa.fa-minus
                  = meeting.max_candidates_number
                  = increment_max_candidates_number_link(meeting: meeting) do
                    %small
                      %i.fa.fa-plus
            %td.hidden-md-down= l(meeting.time_start, format: :short)
            %td.hidden-md-down= l(meeting.time_end, format: :time)
            - if current_user.present?
              %td.text-center
                - if meeting.approved?
                  %i.fa.fa-check-square-o
                - else
                  = link_to committee_meeting_approve_path(@committee,
                  meeting), class: 'color-black', 'data-toggle': 'tooltip',
                  title: t(:click_to_approve) do
                    %i.fa.fa-square-o
            %td
              - if meeting.approved? && meeting.registration_possible?
                = link_to t(:register),
                new_committee_meeting_registration_path(@committee.id,
                meeting.id), class: 'btn btn-sm btn-success'
            - if current_user.present?
              %td.position-relative
                .dropdown.show-on-hover
                  %button.btn-sm#more-dropdown-button{ type: 'button',
                  'data-toggle': 'dropdown', 'aria-haspopup': 'true',
                  'aria-expanded': 'false' }
                    = t(:more)
                  .dropdown-menu{ 'aria-labelledby': 'more-dropdown-button' }
                    = link_to t(:registrations), [@committee,
                    meeting, :registrations], class: 'dropdown-item'
                    = link_to edit_committee_meeting_path(meeting.committee,
                    meeting), class: 'dropdown-item' do
                      = t(:edit)
                    = link_to t(:destroy), [meeting.committee, meeting],
                    method: :delete, data: { confirm: t(:confirm_delete) },
                    class: 'dropdown-item'
      - if @meetings.empty?
        %tr
          %td
            = t(:no_meetings)
            &nbsp;
            = link_to new_committee_meeting_path(@committee) do
              = t(:add) + ' ' + t(:new_meeting).downcase

:coffee
  # opens dropdown for last two meeting above button
  trs = $('.meeting-table tbody tr')
  trs.slice(-2).addClass('dropup') if trs.size() > 6

  # makes filter menu item active
  $("#filter-menu .#{params[:filter] || 'future_normal'}").addClass 'active'
